using VT.FW.DB;
using Mall.Common.Enum.MarketingCenter;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// Vip购买返佣表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_VipBuy_Commission
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// Vip购买订单id
        /// </summary>        
        public int? OrderId
        {
            get;
            set;
        }
        /// <summary>
        /// 分销商id
        /// </summary>        
        public int? UserId
        {
            get;
            set;
        }
        /// <summary>
        /// 粉象等级id
        /// </summary>        
        public int? Grade
        {
            get;
            set;
        }
        /// <summary>
        /// 佣金
        /// </summary>        
        public decimal? Commission
        {
            get;
            set;
        }
        /// <summary>
        /// Remark
        /// </summary>        
        public string Remark
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateDate
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 类型  1Vip购买返佣
        /// </summary>        
        public int? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 是否已提现   1是
        /// </summary>        
        public int? IsRemit
        {
            get;
            set;
        }
    }
}
